using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;

namespace Contracts.BusinessLogicsContracts
{
	public interface IMachineLogic
	{
		List<MachineViewModel>? ReadList(MachineSearchModel? model);
		MachineViewModel? ReadElement(MachineSearchModel? model);
		bool Create(MachineBindingModel? model);
		bool Update(MachineBindingModel? model);
		bool Delete(MachineBindingModel? model);
	}
}
